metaflac requirement eliminated

Though I'd hoped to have the new version up today, I'd like to do a bit more testing to the new features before calling it final. So, I'd estimate 2.4 will be up Wednesday.

The latest change is that the "metaflac" binary requirement has been removed and replaced with a Python implementation. This is because the new images handling routines require metaflac to understand PICTURE blocks, but PICTURE blocks are a relatively new addition to FLAC. So I could either require everyone to download the latest FLAC, or I could add PICTURE support myself. I've chosen the latter in the hopes of saving everyone some problems.

Posted by Brian Langenberger 2007-09-17

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks